<section *ngIf="moduleConfiguration && currentWorkspace" class="section">
  <div class="container">

    <app-breadcrumb [currentWorkspace]="currentWorkspace"></app-breadcrumb>

    <hr>

    <div *ngIf="!isEvaluatorModule(); else evaluatorModuleBloc">

      <div class="level-left">
        <div class="level-item">
          <h3 class="title is-3 has-text-centered has-text-grey-dark">{{ moduleName}} configurations</h3>
        </div>
      </div>

      <hr>

      <form *ngIf="configForm" [formGroup]="configForm" class="columns">

        <div class="column is-half">

          <div *ngFor="let configInput of moduleConfiguration" class="box">

            <div *ngIf="isString(configInput.value)" class="field">
              <label class="label">{{ configInput.label }}</label>
              <div class="control">
                <input [id]="configInput.id" [formControlName]="configInput.id" [value]="configInput.value" class="form-control" type="text">
              </div>
            </div>

            <div *ngIf="isBool(configInput.value)" class="field">
              <input [id]="configInput.id" type="checkbox" [name]="configInput.id" class="switch is-rounded is-primary form-control" [checked]="configInput.value" [formControlName]="configInput.id">
              <label for="{{ configInput.id }}" class="label">{{ configInput.label }}</label>
            </div>

            <div *ngIf="isList(configInput.value)" class="field is-horizontal">
              <div class="field-label is-normal has-text-left">
                <label class="label">{{ configInput.label }}</label>
              </div>
              <div class="field-body">
                <div class="field">
                  <div class="control">
                    <div class="select">
                      <select [id]="configInput.id" [formControlName]="configInput.id">
                        <option *ngFor="let opt of configInput.value" [value]="opt" [selected]="isSelected(configInput, opt)">{{ opt }}</option>
                      </select>
                    </div>
                  </div>
                </div>
              </div>
            </div>

          </div>

          <div *ngIf="moduleConfiguration.length > 0; else noConfigurationBloc" class="field">
            <div class="control">
              <button class="button is-success" type="submit" [disabled]="!configForm.valid" (click)="updateModuleConfigurations()">Save changes</button>
            </div>
          </div>

          <ng-template #noConfigurationBloc>
            <div class="notification is-primary">
              No {{ moduleName }} configurations
            </div>
          </ng-template>

        </div>

      </form>

    </div>

    <ng-template #evaluatorModuleBloc>
      <app-evaluator-module-config [currentWorkspace]="currentWorkspace"></app-evaluator-module-config>
    </ng-template>

  </div>
</section>
